Bug 245239 - emulators/virtualbox-ose-additions: repair after removal of extrapatch-Config.kmk
Summary: emulators/virtualbox-ose-additions: repair after removal of extrapatch-Config...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL: https://reviews.freebsd.org/D24260
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-01 15:41 UTC by Franco Fichtner
Modified: 2020-04-04 20:12 UTC (History)
2 users (show)

See Also:
kevans: maintainer-feedback+


Attachments
patch use fix (519 bytes, patch)
2020-04-01 15:41 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2020-04-01 15:41:39 UTC
Created attachment 212931 [details]
patch use fix

extrapatch-Config.kmk was recently removed from emulators&/virtualbox-ose, breaking the build of at least virtualbox-ose-additions. The attached patch remedies the issue.

A quick grep indicates that this is also an issue with virtualbox-ose-kmod:

% git grep extrapatch-Config.kmk          
virtualbox-ose-additions/Makefile:EXTRA_PATCHES+=       ${PATCHDIR}/extrapatch-Config.kmk
virtualbox-ose-kmod/Makefile:EXTRA_PATCHES+=    ${PATCHDIR}/extrapatch-Config.kmk \


Cheers,
Franco
Comment 1 Kyle Evans freebsd_committer 2020-04-02 05:03:50 UTC
Ah, my mistake. =( I will clean this up.
Comment 2 Franco Fichtner 2020-04-02 05:50:49 UTC
No worries, thanks for taking care of this :)
Comment 3 commit-hook freebsd_committer 2020-04-04 19:02:11 UTC
A commit references this bug:

Author: kevans
Date: Sat Apr  4 19:01:21 UTC 2020
New revision: 530709
URL: https://svnweb.freebsd.org/changeset/ports/530709

Log:
  emulators/virtualbox-ose-{additions,kmod}: Remove missing patch

  extrapatch-Config.kmk was merged in ports r528258 into the standard
  Config.kmk patch out of necessity, but inadvertently missed that it was also
  referenced in two other spots.

  No PORTREVISION bump, as these are build-only fixes to fix the entirety of
  virtualbox-ose-additions and the DEBUG option of virtualbox-ose-kmod.

  PR:		245239
  Approved by:	koobs (mentor)
  Approved by:	portmgr (blanket: build fix, just-fix-it)
  MFH:		2020Q2 (blanket: build fix)
  Differential Revision:	https://reviews.freebsd.org/D24260

Changes:
  head/emulators/virtualbox-ose-additions/Makefile
  head/emulators/virtualbox-ose-kmod/Makefile
Comment 4 commit-hook freebsd_committer 2020-04-04 19:03:13 UTC
A commit references this bug:

Author: kevans
Date: Sat Apr  4 19:02:31 UTC 2020
New revision: 530711
URL: https://svnweb.freebsd.org/changeset/ports/530711

Log:
  MFH: r530709

  emulators/virtualbox-ose-{additions,kmod}: Remove missing patch

  extrapatch-Config.kmk was merged in ports r528258 into the standard
  Config.kmk patch out of necessity, but inadvertently missed that it was also
  referenced in two other spots.

  No PORTREVISION bump, as these are build-only fixes to fix the entirety of
  virtualbox-ose-additions and the DEBUG option of virtualbox-ose-kmod.

  PR:		245239
  Approved by:	koobs (mentor)
  Approved by:	portmgr (blanket: build fix, just-fix-it)
  Differential Revision:	https://reviews.freebsd.org/D24260

  Approved by:	ports-secteam (blanket: build fix)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/emulators/virtualbox-ose-additions/Makefile
  branches/2020Q2/emulators/virtualbox-ose-kmod/Makefile
Comment 5 Kyle Evans freebsd_committer 2020-04-04 19:19:35 UTC
(In reply to Franco Fichtner from comment #2)

Yup, thanks for the patch! Committed and MFH'd.
Comment 6 Franco Fichtner 2020-04-04 20:12:18 UTC
Neat, thank you!